#-*- coding: utf-8 -*-
#############################################################################
#                                                                           #
#   Copyright (c) 2007-2008 Gregor Giesen <vogon@zaehlwerk.net>             #
#                                                                           #
# This program is free software; you can redistribute it and/or modify      #
# it under the terms of the GNU General Public License as published by      #
# the Free Software Foundation; either version 3 of the License, or         #
# (at your option) any later version.                                       #
#                                                                           #
# This program is distributed in the hope that it will be useful,           #
# but WITHOUT ANY WARRANTY; without even the implied warranty of            #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             #
# GNU General Public License for more details.                              #
#                                                                           #
# You should have received a copy of the GNU General Public License         #
# along with this program.  If not, see <http://www.gnu.org/licenses/>.     #
#                                                                           #
#############################################################################
"""
$Id$
"""

from zw.vogon.i18n import MessageFactory as _


from zope.interface import implements
from z3c.form.browser.widget import addFieldClass
from z3c.form.widget import FieldWidget
from z3c.form.interfaces import IWidget

from zw.widget.lines.widget import LinesWidget

class IEmailsWidget(IWidget):
    """A lines widget for a list of email addresses.
    """

class EmailsWidget(LinesWidget):
    """A lines widget for a list of email addresses.
    """
    implements(IEmailsWidget)

    klass = u'emails-widget'
    value = u''

    def update(self):
        super(EmailsWidget, self).update()
        addFieldClass(self)


def EmailsFieldWidget(field, request):
    return FieldWidget(field, EmailsWidget(request))
